BriteCore
string · uuid · requiredstring · enum · requiredstring · requiredstring · requiredstring · requiredstring · requiredbooleanbooleanstring · date-time boolean · required
attach_file
POST
/api/v2/uploads/attach_file
Code
attach_file › Request Body
Request payload for /api/v2/uploads/attach_file.
entity_idEntity ID to attach the file to. The id must be for an entity of the type specified in entity_type.
entity_typeDefines the entity type to attach the file to. If revisions is used, the File will be linked to the entity_id.
Enum values:
policies
revisions
subjectivities
folder_nameFolder name to attach file to. The folder will be created under the policy if it does not exist.
attachmentBase64 encoded file content
titleFile name.
mime_typeFile MIME type. Example: application/pdf
set_file_privateIf true, set the file to private. Defaults to False.
set_folder_private_if_newIf true, set the folder to private if the folder does not already exist. Defaults to False.
date_addedSet when the file was added. Defaults to now. Format: YYYY-mm-ddTHH:MM:SSZ (e.g. 2020-01-01T12:00:00Z). This is UTC time.
attach_file › Responses
200
Response payload for /api/v2/uploads/attach_file.
required
object · required
success